about summary refs log tree commit diff
path: root/pkgs
diff options
context:
space:
mode:
authorworldofpeace <worldofpeace@protonmail.ch>2019-07-17 15:53:15 -0400
committerworldofpeace <worldofpeace@protonmail.ch>2019-07-17 15:53:15 -0400
commit7d6ab0ad7a5a5b1765a6d70b5df861d14e3c3482 (patch)
tree37b506c2440014588676ff022c344ee15bb4ade4 /pkgs
parent53c981f67e33ae4bbb2e13a6ba5de175ccd1963b (diff)
downloadnixlib-7d6ab0ad7a5a5b1765a6d70b5df861d14e3c3482.tar
nixlib-7d6ab0ad7a5a5b1765a6d70b5df861d14e3c3482.tar.gz
nixlib-7d6ab0ad7a5a5b1765a6d70b5df861d14e3c3482.tar.bz2
nixlib-7d6ab0ad7a5a5b1765a6d70b5df861d14e3c3482.tar.lz
nixlib-7d6ab0ad7a5a5b1765a6d70b5df861d14e3c3482.tar.xz
nixlib-7d6ab0ad7a5a5b1765a6d70b5df861d14e3c3482.tar.zst
nixlib-7d6ab0ad7a5a5b1765a6d70b5df861d14e3c3482.zip
wrapQtAppsHook: use isELF
We should still prevent things like
scripts from being wrapped.
Diffstat (limited to 'pkgs')
-rw-r--r--pkgs/development/libraries/qt-5/hooks/wrap-qt-apps-hook.sh2
1 files changed, 2 insertions, 0 deletions
diff --git a/pkgs/development/libraries/qt-5/hooks/wrap-qt-apps-hook.sh b/pkgs/development/libraries/qt-5/hooks/wrap-qt-apps-hook.sh
index 775922c1f4c4..e7d7d1326174 100644
--- a/pkgs/development/libraries/qt-5/hooks/wrap-qt-apps-hook.sh
+++ b/pkgs/development/libraries/qt-5/hooks/wrap-qt-apps-hook.sh
@@ -82,6 +82,8 @@ wrapQtAppsHook() {
 
         find "$targetDir" -executable -print0 | while IFS= read -r -d '' file
         do
+            isELF "$file" || continue
+
             if [ -f "$file" ]
             then
                 echo "wrapping $file"